forward_list File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | __cpp_lib_erase_if
#define | _GLIBCXX_FORWARD_LIST

## Typedefs

template<typename _Tp>
using | std::pmr::forward_list

## Functions

template<typename _Tp, typename _Alloc, typename _Up>
forward_list< _Tp, _Alloc >::size_type | std::erase (forward_list< _Tp, _Alloc > &__cont, const _Up &__value)
template<typename _Tp, typename _Alloc, typename _Predicate>
forward_list< _Tp, _Alloc >::size_type | std::erase_if (forward_list< _Tp, _Alloc > &__cont, _Predicate __pred)

## Detailed Description

This is a Standard C++ Library header.

Definition in file forward_list.

## Macro Definition Documentation

## __cpp_lib_erase_if

#define __cpp_lib_erase_if

Definition at line 65 of file forward_list.

## _GLIBCXX_FORWARD_LIST

#define _GLIBCXX_FORWARD_LIST

Definition at line 30 of file forward_list.

## Typedef Documentation

## forward_list

template<typename _Tp>

using std::pmr::forward_list

Definition at line 54 of file forward_list.